org.apache.poi.ss.usermodel

## Interface ColorScaleFormatting

- All Known Implementing Classes:
    HSSFColorScaleFormatting, XSSFColorScaleFormatting

      public interface ColorScaleFormatting

  High level representation for the Color Scale / Colour Scale / Color Gradient Formatting component of Conditional Formatting settings

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConditionalFormattingThreshold` | `createThreshold()` Creates a new, empty Threshold
    `Color[]` | `getColors()` Gets the list of colours that are interpolated between.
    `int` | `getNumControlPoints()` How many control points should be used to map the colours? Normally 2 or 3
    `ConditionalFormattingThreshold[]` | `getThresholds()` Gets the list of thresholds
    `void` | `setColors(Color[] colors)` Sets the list of colours that are interpolated between.
    `void` | `setNumControlPoints(int num)` Sets the number of control points to use to map the colours.
    `void` | `setThresholds(ConditionalFormattingThreshold[] thresholds)` Sets the of thresholds.

- - ### Method Detail

    - #### getNumControlPoints

          int getNumControlPoints()

      How many control points should be used to map the colours? Normally 2 or 3

    - #### setNumControlPoints

          void setNumControlPoints(int num)

      Sets the number of control points to use to map the colours. Should normally be 2 or 3.

      After updating, you need to ensure that the `Threshold` count and Color count match

    - #### getColors

          Color[] getColors()

      Gets the list of colours that are interpolated between.

    - #### setColors

          void setColors(Color[] colors)

      Sets the list of colours that are interpolated between. The number must match `getNumControlPoints()`

    - #### getThresholds

          ConditionalFormattingThreshold[] getThresholds()

      Gets the list of thresholds

    - #### setThresholds

          void setThresholds(ConditionalFormattingThreshold[] thresholds)

      Sets the of thresholds. The number must match `getNumControlPoints()`

    - #### createThreshold

          ConditionalFormattingThreshold createThreshold()

      Creates a new, empty Threshold

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.